<?php
require("../e/class/connect.php");
if(!defined('InEmpireCMS'))
{
	exit();
}
eCheckCloseMods('member');//关闭模块
$myuserid=(int)getcvar('mluserid');
$mhavelogin=0;
if($myuserid)
{
	include("../e/class/db_sql.php");
	include("../e/member/class/user.php");
	include("../e/data/dbcache/MemberLevel.php");
	include("class/fun.php");
	$link=db_connect();
	$empire=new mysqlquery();
	$mhavelogin=1;
	//数据
	$myusername=RepPostVar(getcvar('mlusername'));
	$myrnd=RepPostVar(getcvar('mlrnd'));
	$r=$empire->fetch1("select ".eReturnSelectMemberF('userid,username,groupid,userfen,money,userdate,havemsg,checked')." from ".eReturnMemberTable()." where ".egetmf('userid')."='$myuserid' and ".egetmf('rnd')."='$myrnd' limit 1");
	if(empty($r[userid])||$r[checked]==0)
	{
		EmptyEcmsCookie();
		$mhavelogin=0;
	}
	$userid=$r[userid];
	$nickname=getnickname($userid);
	$userpic=getuserpic($userid);


	db_close();
	$empire=null;
}
if($mhavelogin==1)
{
?>
$("#topuser").html('<ul><li class=\"user-dropbox\"><a class=\"user-panel\" href=\"/user/center.php\"><img class=\"avatar\" src=\"<?=$userpic?>\" alt=\"\" /><span><?=$nickname?></span><img class=\"arrow\" src=\"/user/temp/images/a2.gif\" alt=\"\" /></a><div class=\"user-combo\"><ul><li><a href=\"/user/center.php\"><em class=\"user-qire\"></em>我的信息</a></li><li><a href=\"/user/fava.php\"><em class=\"user-fav\"></em>我的收藏</a></li><li><a href=\"/user/remind.php\"><em class=\"user-rss\"></em>我的订阅</a></li><li><a href=\"/user/msg.php\"><em class=\"user-cmt\"></em>我的私信</a></li><li><a href=\"/user/playlog.php\"><em class=\"user-log\"></em>我的云播放</a></li></ul></div></li><li class=\"user-dropbox\"><a class=\"user-panel\" href=\"/user/info.php\"><em class=\"user-my\"></em><span>资料</span><img class=\"arrow\" src=\"/user/temp/images/a2.gif\" alt=\"\" /></a><div class=\"user-combo\"><ul><li><a href=\"/user/avatar.php\"><em class=\"user-avatar\"></em>修改头像</a></li><li><a href=\"/user/info.php\"><em class=\"user-userinfo\"></em>修改资料</a></li><li><a href=\"/user/pass.php\"><em class=\"user-password\"></em>修改密码</a></li></ul></div></li><li class=\"user-dropbox logout\"><a class=\"user-panel logoutbt\" href=\"/e/member/doaction.php?enews=exit\" target=\"_self\"><em class=\"user-logout\"></em>&nbsp;退出</a></li></ul>');
<?
}
else
{
?>
$("#topuser").html("<ul><li class=\"user-dropbox\"><a class=\"user-panel\" href=\"/user/login.php\"><span>登陆</span><img class=\"arrow\" src=\"/user/temp/images/a2.gif\" alt=\"\" /></a><div id=\"nav-signin\" class=\"drop-box\" style=\"display: none;\"><form id=\"loginform\" method=\"post\" action=\"/e/member/doaction.php?enews=login\"><input type=\"hidden\" name=\"ecmsfrom\"  value=\"\" id=\"ecmsfromforuserlogin\"/><script type=\"text/javascript\">$(\"#ecmsfromforuserlogin\").val(window.location.href);</script><div class=\"ui-form ui-signin\"><div class=\"ui-form-item ui-form-placeholder\"><label class=\"ui-label\" for=\"username\" style=\"z-index: 3;\">帐号或邮箱</label><input id=\"username\" class=\"ui-input\" type=\"text\" value=\"\" name=\"username\"></div><div class=\"ui-form-item ui-form-placeholder\"><label class=\"ui-label\" for=\"password\" style=\"z-index: 3;\">请输入密码</label><input id=\"password\" class=\"ui-input\" type=\"password\" value=\"\" maxlength=\"20\" name=\"password\"></div><div class=\"ui-form-item fn-clear\"><input id=\"loginbt\" class=\"ui-button\" type=\"submit\" value=\"登 录\"> <a class=\"fogetpass\" href=\"/user/getpass.php\" title=\"忘记密码\">忘记密码?</a></div></div><div class=\"signin-assist fn-clear\"><a class=\"ui-icon qq-login\" href=\"/e/memberconnect/?apptype=qq\"></a><p><a class=\"reg-btn\" target=\"_blank\" href=\"/user/register.php\">还没有账号?</a></p></div></form></div></li></li><li class=\"user-dropbox\"><a class=\"user-panel\" href=\"/user/register.php\"><span>注册</span></a></li></ul>");
<?
}
?>